Package com.collibra.dgc.core.api.dto.workflow

# Class AddAssetTypeAssignmentRuleRequest

Object
AddAssetTypeAssignmentRuleRequest

All Implemented Interfaces:
  `Serializable`

public class AddAssetTypeAssignmentRuleRequest extends Object implements Serializable
The properties of the asset type assignment rule to be added.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AddAssetTypeAssignmentRuleRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddAssetTypeAssignmentRuleRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddAssetTypeAssignmentRuleRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getAssetTypeId()`
  Required. The ID of the asset type the added rule should refer to.
  `UUID`
  `getCommunityId()`
  The ID of the community the assignment rule should apply for.
  `UUID`
  `getDomainId()`
  The ID of the domain the assignment rule should apply for.
  `UUID`
  `getStatusId()`
  The ID of the status the assignment rule should apply for.
  `UUID`
  `getWorkflowDefinitionId()`
  Required. The ID of the workflow definition containing the assignment rule to be added.
  `int`
  `hashCode()`
  `boolean`
  `isExactResourceTypeMatch()`
  When true, the workflow can only be started for an asset if its type matches exactly the asset type defined in this rule.
  `void`
  `setAssetTypeId(UUID assetTypeId)`
  Required. The ID of the asset type the added rule should refer to.
  `void`
  `setCommunityId(UUID communityId)`
  The ID of the community the assignment rule should apply for.
  `void`
  `setDomainId(UUID domainId)`
  The ID of the domain the assignment rule should apply for.
  `void`
  `setExactResourceTypeMatch(boolean exactResourceTypeMatch)`
  When true, the workflow can only be started for an asset if its type matches exactly the asset type defined in this rule.
  `void`
  `setStatusId(UUID statusId)`
  The ID of the status the assignment rule should apply for.
  `void`
  `setWorkflowDefinitionId(UUID workflowDefinitionId)`
  Required. The ID of the workflow definition containing the assignment rule to be added.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddAssetTypeAssignmentRuleRequest

    public AddAssetTypeAssignmentRuleRequest()

- ## Method Details

  - ### builder

    public static AddAssetTypeAssignmentRuleRequest.Builder builder()

  - ### getWorkflowDefinitionId

    public UUID getWorkflowDefinitionId()
    Required. The ID of the workflow definition containing the assignment rule to be added.

  - ### getAssetTypeId

    public UUID getAssetTypeId()
    Required. The ID of the asset type the added rule should refer to.

  - ### getDomainId

    public UUID getDomainId()
    The ID of the domain the assignment rule should apply for.

  - ### getCommunityId

    public UUID getCommunityId()
    The ID of the community the assignment rule should apply for.

  - ### getStatusId

    public UUID getStatusId()
    The ID of the status the assignment rule should apply for.

  - ### isExactResourceTypeMatch

    public boolean isExactResourceTypeMatch()
    When true, the workflow can only be started for an asset if its type matches exactly the asset type defined in this rule. Child asset types are excluded.

  - ### setWorkflowDefinitionId

    public void setWorkflowDefinitionId(UUID workflowDefinitionId)
    Required. The ID of the workflow definition containing the assignment rule to be added.

  - ### setAssetTypeId

    public void setAssetTypeId(UUID assetTypeId)
    Required. The ID of the asset type the added rule should refer to.

  - ### setDomainId

    public void setDomainId(UUID domainId)
    The ID of the domain the assignment rule should apply for.

  - ### setCommunityId

    public void setCommunityId(UUID communityId)
    The ID of the community the assignment rule should apply for.

  - ### setStatusId

    public void setStatusId(UUID statusId)
    The ID of the status the assignment rule should apply for.

  - ### setExactResourceTypeMatch

    public void setExactResourceTypeMatch(boolean exactResourceTypeMatch)
    When true, the workflow can only be started for an asset if its type matches exactly the asset type defined in this rule. Child asset types are excluded.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`